Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.interpreter.ecmascript
Class EcmaScriptInterpreter

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.interpreter.AbstractInterpreter
                  |
                  +--org.apache.cocoon.interpreter.ecmascript.EcmaScriptInterpreter

All Implemented Interfaces:
  Actor, Interpreter

public class EcmaScriptInterpreter
extends AbstractInterpreter

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:26 $
Author:
  Ricardo Rocha

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`EcmaScriptInterpreter()`

Method Summary
`protected Module` | `doCreateModule(java.lang.String moduleName)`

Methods inherited from class org.apache.cocoon.interpreter.AbstractInterpreter
`createModule, getModules`

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Constructor Detail

### EcmaScriptInterpreter

    public EcmaScriptInterpreter()

Method Detail

### doCreateModule

    protected Module doCreateModule(java.lang.String moduleName)
                             throws LanguageException

  Overrides:
    `doCreateModule` in class `AbstractInterpreter`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.